;======================================================
;Translation injector and checker
;======================================================
!macro IncludeTranslation LanguageString
    !insertmacro MUI_LANGUAGE "${LanguageString}"
    !include "translations\${LanguageString}.nsh"
!macroend
!define IncludeTranslation "!insertmacro IncludeTranslation"

;======================================================
;Default Language (first language is the default language)
;======================================================

!insertmacro MUI_LANGUAGE "English"
!include "english.nsh"

;======================================================
;Umenu Translations (automatically added by po2nsh.py)
;======================================================

${IncludeTranslation} "French"
${IncludeTranslation} "Estonian"
${IncludeTranslation} "Spanish"
${IncludeTranslation} "German"
${IncludeTranslation} "Russian"
${IncludeTranslation} "Italian"
${IncludeTranslation} "Portuguesebr"
${IncludeTranslation} "Portuguese"
${IncludeTranslation} "Greek"
${IncludeTranslation} "Swedish"
${IncludeTranslation} "Basque"
${IncludeTranslation} "Finnish"
${IncludeTranslation} "Polish"
${IncludeTranslation} "Dutch"
${IncludeTranslation} "Japanese"
${IncludeTranslation} "Tradchinese"
${IncludeTranslation} "Hungarian"
${IncludeTranslation} "Czech"
${IncludeTranslation} "Simpchinese"
${IncludeTranslation} "Slovak"

;======================================================
;Licence include and last LangString call of the whole source.
;======================================================
;LicenseData $(license)
;LicenseLangString license ${LANG_ENGLISH} "translations\license.en"

#We use this trick to default to english; last LangString call sets the default $language when there is no match
LangString CurrentLanguageCode ${LANG_ENGLISH}  "${LANG_ENGLISH}"

;======================================================
;List of all NSIS 2.27 Valid MUI_LANGUAGE includes
;======================================================

;!insertmacro MUI_LANGUAGE  "Albanian"
;!insertmacro MUI_LANGUAGE  "Arabic"
;!insertmacro MUI_LANGUAGE  "Basque"
;!insertmacro MUI_LANGUAGE  "Belarusian"
;!insertmacro MUI_LANGUAGE  "Bosnian"
;!insertmacro MUI_LANGUAGE  "Breton"
;!insertmacro MUI_LANGUAGE  "Bulgarian"
;!insertmacro MUI_LANGUAGE  "Catalan"
;!insertmacro MUI_LANGUAGE  "Croatian"
;!insertmacro MUI_LANGUAGE  "Czech"
;!insertmacro MUI_LANGUAGE  "Danish"
;!insertmacro MUI_LANGUAGE  "Default"
;!insertmacro MUI_LANGUAGE  "Dutch"
;!insertmacro MUI_LANGUAGE  "English"
;!insertmacro MUI_LANGUAGE  "Estonian"
;!insertmacro MUI_LANGUAGE  "Farsi"
;!insertmacro MUI_LANGUAGE  "Finnish"
;!insertmacro MUI_LANGUAGE  "French"
;!insertmacro MUI_LANGUAGE  "Galician"
;!insertmacro MUI_LANGUAGE  "German"
;!insertmacro MUI_LANGUAGE  "Greek"
;!insertmacro MUI_LANGUAGE  "Hebrew"
;!insertmacro MUI_LANGUAGE  "Hungarian"
;!insertmacro MUI_LANGUAGE  "Icelandic"
;!insertmacro MUI_LANGUAGE  "Indonesian"
;!insertmacro MUI_LANGUAGE  "Irish"
;!insertmacro MUI_LANGUAGE  "Italian"
;!insertmacro MUI_LANGUAGE  "Japanese"
;!insertmacro MUI_LANGUAGE  "Korean"
;!insertmacro MUI_LANGUAGE  "Kurdish"
;!insertmacro MUI_LANGUAGE  "Latvian"
;!insertmacro MUI_LANGUAGE  "Lithuanian"
;!insertmacro MUI_LANGUAGE  "Luxembourgish"
;!insertmacro MUI_LANGUAGE  "Macedonian"
;!insertmacro MUI_LANGUAGE  "Malay"
;!insertmacro MUI_LANGUAGE  "Mongolian"
;!insertmacro MUI_LANGUAGE  "Norwegian"
;!insertmacro MUI_LANGUAGE  "NorwegianNynor"
;!insertmacro MUI_LANGUAGE  "Polish"
;!insertmacro MUI_LANGUAGE  "Portuguese"
;!insertmacro MUI_LANGUAGE  "PortugueseBR"
;!insertmacro MUI_LANGUAGE  "Romanian"
;!insertmacro MUI_LANGUAGE  "Russian"
;!insertmacro MUI_LANGUAGE  "Serbian"
;!insertmacro MUI_LANGUAGE  "SerbianLatin"
;!insertmacro MUI_LANGUAGE  "SimpChinese"
;!insertmacro MUI_LANGUAGE  "Slovak"
;!insertmacro MUI_LANGUAGE  "Slovenian"
;!insertmacro MUI_LANGUAGE  "Spanish"
;!insertmacro MUI_LANGUAGE  "Swedish"
;!insertmacro MUI_LANGUAGE  "Thai"
;!insertmacro MUI_LANGUAGE  "TradChinese"
;!insertmacro MUI_LANGUAGE  "Turkish"
;!insertmacro MUI_LANGUAGE  "Ukrainian"
;!insertmacro MUI_LANGUAGE  "Uzbek"
;!insertmacro MUI_LANGUAGE  "Valencian"
;!insertmacro MUI_LANGUAGE  "Welsh"
